Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.config
Class EnterpriseConfiguration.SurrogateSchema

    java.lang.Object
      com.saxonica.schema.SchemaStructure
          com.saxonica.schema.PreparedSchema
              com.saxonica.config.EnterpriseConfiguration.SurrogateSchema

All Implemented Interfaces:
  Serializable, SourceLocator, NotationSet

Enclosing class:
  EnterpriseConfiguration

    public static class EnterpriseConfiguration.SurrogateSchema

extends PreparedSchema

A SurrogateSchema is a dummy schema object that is stored in the schema cache while the schema for a given namespace is being processed. This ensures that other concurrent (or nested) attempts to process a schema for this namespace know that it is already being processed.

See Also:
  Serialized Form

Field Summary
`static EnterpriseConfiguration.SurrogateSchema` | `THE_INSTANCE`

Fields inherited from class com.saxonica.schema.PreparedSchema
`NAMESPACE_KNOWN, NAMESPACE_SEALED, NAMESPACE_UNDER_CONSTRUCTION, NAMESPACE_UNKNOWN`

Method Summary

Methods inherited from class com.saxonica.schema.PreparedSchema
`addAnonymousType, addAttributeDecl, addAttributeGroup, addComponent, addElementDecl, addGlobalParam, addGroup, addIdentityConstraint, addNotation, addType, copyTo, getAttributeDecl, getAttributeGroup, getConfiguration, getElementDecl, getExtensionsOfBuiltInType, getGlobalParam, getGroup, getIdentityConstraint, getNamePool, getNotation, getSchemaType, getSimpleType, getTargetNamespaces, getType, isDeclaredNotation, iterateAttributeDeclarations, iterateAttributeGroups, iterateElementDeclarations, iterateIdentityConstraints, iterateModelGroups, iterateNotations, iterateTypes, merge, registerExtensionOfBuiltInType, setConfiguration, validate, validateReference`

Methods inherited from class com.saxonica.schema.SchemaStructure
`elaborate, fixup, getColumnNumber, getFixupStatus, getLineNumber, getPublicId, getRedefinitionLevel, getSchemaDocumentURI, getSystemId, getValidationStatus, lookForCycles, setFixupStatus, setLineNumber, setLocator, setRedefinitionLevel, setSchemaDocumentURI, setSystemId, setValidationStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### THE_INSTANCE

    public static EnterpriseConfiguration.SurrogateSchema THE_INSTANCE

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.